<form [formGroup]="form" (ngSubmit)="onSubmit()">
  <div class="form-group">
    <input type="text" formControlName="name" class="form-control" placeholder="Veuillez saisir un nom ">
    <div class="alert alert-danger" *ngIf="form.controls['name'].errors?.required && form.controls['name'].touched">Ce champ est obligatoire</div>
  </div>

  <div class="form-group">
    <input type="email" formControlName="email" class="form-control">
    <div class="alert alert-danger" *ngIf="form.controls['email'].errors?.email && form.controls['email'].touched">Ce champ n'est pas un email valide</div>
  </div>
  <div class="form-group">
    <select formControlName="state" >
      <option *ngFor="let state of clientsStates" [value]="state">{{ state}}</option>
    </select>
  </div>
  <button type="submit" class="btn btn-primary" [disabled]="form.invalid">Enregistrer</button>
</form>
<p>form-client works!</p>
